/* ============================================== */
/* CSS for control sap.ui.commons/ListBox.control */
/* SAP-HCB Theme                                  */
/* ============================================== */

@sapUiListBoxBorderRadius: 2px;

.sapUiLbx {
	border-collapse: separate; /* to prevent inheriting "collapse" */
	font-size: @sapUiDesktopFontSize;
}

.sapUiLbxITxt {
	font-size: @sapUiDesktopFontSize;
}

.sapUiLbxI:focus {
	outline: none;
}

.sapUiLbxDis,
.sapUiLbxIDis {
	border-color: darken(@sapUiBaseBorder, 40);
}

/* each item has a border which may be colored when selected */
.sapUiLbxI > span {
	border: 2px solid transparent;
	border-right-width: 0;
	border-left-width: 0;
}

.sapUiLbxI > span.sapUiLbxISec,
.sapUiLbxI:focus > span.sapUiLbxISec,
.sapUiLbxRo > ul > .sapUiLbxI.sapUiLbxISel:focus > span.sapUiLbxISec,
.sapUiLbxDis > ul > .sapUiLbxI:focus > span.sapUiLbxISec,
.sapUiLbxRo > ul > .sapUiLbxI:focus > span.sapUiLbxISec,
.sapUiLbxIDis:focus > span.sapUiLbxISec {
	border-left: 1px solid darken(@sapUiBaseBorder, 40);
}

.sapUiLbxI > span,
.sapUiLbxIIco {
	padding: 0 5px;
}

/* color of border around the items depends on the selection and enabled state */
.sapUiLbxI:focus > span,
.sapUiLbxRo > ul > .sapUiLbxI.sapUiLbxISel:focus > span {
	border-color: @sapUiMediumBorder;
}

.sapUiLbxDis > ul > .sapUiLbxI:focus > span,
.sapUiLbxRo > ul > .sapUiLbxI:focus > span,
.sapUiLbxIDis:focus > span {
	border-color: @sapUiMediumBorder;
}

.sapUiLbxIIcoFont{
	font-size: 14px;
	line-height: 14px;
}